# Uses of Class
com.sparshui.inputdevice.JmolTouchSimulator.TouchData

Packages that use JmolTouchSimulator.TouchData
Package
Description
com.sparshui.inputdevice

## Uses of JmolTouchSimulator.TouchData in com.sparshui.inputdevice

Classes in com.sparshui.inputdevice that implement interfaces with type arguments of type JmolTouchSimulator.TouchData
Modifier and Type
Class
Description
`protected class`
`JmolTouchSimulator.TouchDataComparator`
Fields in com.sparshui.inputdevice with type parameters of type JmolTouchSimulator.TouchData
Modifier and Type
Field
Description
`protected Map<Integer, JmolTouchSimulator.TouchData>`
JmolTouchSimulator.`_active`
Methods in com.sparshui.inputdevice with parameters of type JmolTouchSimulator.TouchData
Modifier and Type
Method
Description
`int`
JmolTouchSimulator.TouchDataComparator.`compare(JmolTouchSimulator.TouchData o1, JmolTouchSimulator.TouchData o2)`
`protected void`
JmolTouchSimulator.`dispatchTouchEvent(JmolTouchSimulator.TouchData data)`
protocol modified by Bob Hanson for Jmol to demonstrate extended SparshUI protocol to include a return from the server indicating whether or not to consume this event.